classification
Title: __import__ docs should reference importlib.import_module
Type: Stage:
Components: Documentation Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, eric.smith, georg.brandl, ncoghlan
Priority: normal Keywords: easy

Created on 2009-11-26 11:33 by ncoghlan, last changed 2010-09-27 21:08 by brett.cannon. This issue is now closed.

Messages (4)
msg95736 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2009-11-26 11:33
Fairly straightforward one - __import__ is no longer the preferred tool
for doing runtime imports, so its documentation should point to
imputil.import_module

(this is a little more than just a "see also", some of the existing
wording in the first few paragraphs should also be tweaked)
msg95738 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2009-11-26 11:59
According to http://docs.python.org/library/imputil.html, imputil is
deprecated and it has been removed in 3.x. Further, I don't see
import_module in imputil (2.6 or trunk), it's just an example on that
documentation page.
msg95739 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2009-11-26 12:10
s/imputil/importlib/

Details, details...
msg117473 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-09-27 21:08
Fixed in r85043.
History
Date User Action Args
2010-09-27 21:08:57brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg117473
2010-05-08 23:58:10brett.cannonsetassignee: georg.brandl -> brett.cannon
2009-11-26 21:21:02brett.cannonsetnosy: + brett.cannon
2009-11-26 12:10:33ncoghlansetmessages: + msg95739
title: __import__ docs should reference imputil.import_module -> __import__ docs should reference importlib.import_module
2009-11-26 11:59:05eric.smithsetnosy: + eric.smith
messages: + msg95738
2009-11-26 11:33:18ncoghlancreate